%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define pygtk_version 2.8.0
%define pygobject_version 2.8.0
%define gtksourceview_version 2.2.0


Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		python26-pygtksourceview
Version:	2.5.0
Release:	2
BuildArch:	i686
Summary:	Python bindings for gtksourceview
Group:		Development/Languages
License:	GNU/LGPL
URL:		http://www.gnome.org
Source0:	http://download.gnome.org/sources/pygtksourceview/2.0/pygtksourceview-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/pygtksourceview-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python26-devel expat-devel gtk-doc
BuildRequires:  python26-pygtk-devel >= %{pygtk_version}
BuildRequires:  python26-pygobject-devel >= %{pygobject_version}
BuildRequires:  gtksourceview-devel >= %{gtksourceview_version}
Provides:	pygtksourceview = %{version}-%{release}
Obsoletes:	pygtksourceview <= %{version}-%{release}

%description
The %{name} package contains Python bindings for the gtksourceview
library. 

%package	devel
Summary:	Development files for using %{name} in Python programs
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
Requires:	python26-pygtk-devel >= %{pygtk_version}
Requires:	gtksourceview-devel >= %{gtksourceview_version}
Requires:	pkgconfig
Provides:	pygtksourceview-devel = %{version}-%{release}
Obsoletes:	pygtksourceview-devel <= %{version}-%{release}


%description	devel
This package contains files required to build Python programs that
use the %{name} bindings.

%prep
%setup -q -n pygtksourceview-%{version}

%build
%configure PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README NEWS 
%{python_sitearch}/*

%files devel
%defattr(-,root,root,-)
%_datadir/gtk-doc
%_datadir/pygtk
%_pkgconfig

%changelog
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 2.5.0-2
- python 2.6
- rename package to python26-pygtksourceview
* Thu Apr 02 2009 Christian Wasem <wasem@ccux-linux.de> 2.5.0-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.2.0-1
- Version update
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.0-1
- Initial release
